﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace BaseApplicationProject.ViewModels
{
    public class ExampleViewModel
    {
        public ExampleViewModel()
        {
            this.Items = GetData();
        }

        private ObservableCollection<DataItem> GetData()
        {
            var items = new ObservableCollection<DataItem>();

            for (int i = 0; i < 5; i++)
            {
                
                var dataItem = new DataItem { Title = "Item " + i };
                if (i == 2)
                {
                    dataItem.AllowDrop = false;
                }
                items.Add(dataItem);
            }

            return items;
        }

        public ObservableCollection<DataItem> Items { get; set; }
    }

    public class DataItem : ViewModelBase
    {
        public DataItem()
        {
            this.AllowDrop = true;
        }

        public string Title { get; set; }
        public string Content { get; set; }

        private bool allowDrop;
        public bool AllowDrop 
        {
            get { return this.allowDrop; }
            set
            {
                if (value != this.allowDrop)
                {
                    this.allowDrop = value;
                    this.OnPropertyChanged("AllowDrop");
                }
            }
        }
    }
}
